import { SmartlingBaseApi } from "../base/index";
import { Logger } from "../logger";
import { AccessTokenDto } from "./dto/access-token-dto";
export declare class SmartlingAuthApi extends SmartlingBaseApi {
    private ttlCorrectionSec;
    private userIdentifier;
    private tokenSecret;
    private requestTimestamp;
    private response;
    constructor(smartlingApiBaseUrl: string, userIdentifier: string, tokenSecret: string, logger: Logger);
    authenticate(): Promise<AccessTokenDto>;
    refreshToken(): Promise<AccessTokenDto>;
    resetRequestTimeStamp(): void;
    tokenExists(): boolean;
    tokenExpired(): boolean;
    tokenCanBeRenewed(): boolean;
    getAccessToken(): Promise<string>;
    getTokenType(): Promise<string>;
    resetToken(): void;
    time(): number;
}
