"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecentlyUploadedFilesParameters = void 0;
const exception_1 = require("../../exception");
const index_1 = require("../../parameters/index");
class RecentlyUploadedFilesParameters extends index_1.BaseParameters {
    setUriMask(uriMask) {
        this.set("uriMask", uriMask);
        return this;
    }
    setLimit(limit) {
        if (limit > 0) {
            this.set("limit", limit);
            return this;
        }
        throw new exception_1.SmartlingException("Limit must be > 0");
    }
    setOffset(offset) {
        if (offset >= 0) {
            this.set("offset", offset);
            return this;
        }
        throw new exception_1.SmartlingException("Offset must be >= 0");
    }
}
exports.RecentlyUploadedFilesParameters = RecentlyUploadedFilesParameters;
//# sourceMappingURL=recently-uploaded-files.js.map